API Reference
Integrate the Loopscale protocol
cURL
curl --request POST \ --url https://tars.loopscale.com/v1/markets/creditbook/refinance \ --header 'Content-Type: application/json' \ --header 'user-wallet: <user-wallet>' \ --data ' { "loan": "<string>", "oldStrategy": "<string>", "newStrategy": "<string>", "refinanceParams": { "ledgerIndex": 123, "durationIndex": 123 } } '
{ "transactions": [ { "message": "<string>", "signatures": [ { "publicKey": "<string>", "signature": "<string>" } ] } ], "expectedLoanInfo": { "loan": { "address": "<string>" } } }
Update the duration of the loan.
Documentation IndexFetch the complete documentation index at: https://docs.loopscale.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.loopscale.com/llms.txt
Use this file to discover all available pages before exploring further.
Wallet address of the borrowing user
Loan address to refinance
Strategy address to refinance from.
Strategy address to refinance to, can be the same as old if just updating duration or start time.
Show child attributes
Serialized transaction
Loan post transaction state used for verification